Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.anim
Class AmigaVideoFormatKeys

    java.lang.Object
      org.monte.media.FormatKeys
          org.monte.media.VideoFormatKeys
              org.monte.media.anim.AmigaVideoFormatKeys

    public class AmigaVideoFormatKeys

extends VideoFormatKeys

`AmigaVideoFormatKeys`.

Version:
  $Id$
Author:
  Werner Randelshofer

Nested Class Summary

Nested classes/interfaces inherited from class org.monte.media.FormatKeys
`FormatKeys.MediaType`

Field Summary
`static FormatKey<org.monte.media.anim.AmigaVideoFormatKeys.ColorMode>` | `ColorModeKey`
`static java.lang.String` | `ENCODING_ANIM_OP5` Anim Op5 .
`static FormatKey<java.lang.Integer>` | `MonitorIdKey` The Amiga monitor id.

Fields inherited from class org.monte.media.VideoFormatKeys
`COMPRESSOR_NAME_AVI_TECHSMITH_SCREEN_CAPTURE, COMPRESSOR_NAME_QUICKTIME_ANIMATION, COMPRESSOR_NAME_QUICKTIME_CINEPAK, COMPRESSOR_NAME_QUICKTIME_JPEG, COMPRESSOR_NAME_QUICKTIME_PNG, COMPRESSOR_NAME_QUICKTIME_RAW, CompressorNameKey, DataClassKey, DepthKey, ENCODING_AVI_DIB, ENCODING_AVI_DOSBOX_SCREEN_CAPTURE, ENCODING_AVI_MJPG, ENCODING_AVI_PNG, ENCODING_AVI_RLE, ENCODING_AVI_TECHSMITH_SCREEN_CAPTURE, ENCODING_BITMAP_IMAGE, ENCODING_BUFFERED_IMAGE, ENCODING_QUICKTIME_ANIMATION, ENCODING_QUICKTIME_CINEPAK, ENCODING_QUICKTIME_JPEG, ENCODING_QUICKTIME_PNG, ENCODING_QUICKTIME_RAW, FixedFrameRateKey, HeightKey, InterlaceKey, PixelAspectRatioKey, QualityKey, WidthKey`

Fields inherited from class org.monte.media.FormatKeys
`EncodingKey, FrameRateKey, KeyFrameIntervalKey, MediaTypeKey, MIME_ANIM, MIME_AVI, MIME_IMAGE_SEQUENCE, MIME_JAVA, MIME_MP4, MIME_QUICKTIME, MimeTypeKey`

Constructor Summary
`AmigaVideoFormatKeys()`

Method Summary
`static Format` | `fromCAMG(int camg)`
`static int` | `toCAMG(Format fmt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MonitorIdKey

    public static final FormatKey<java.lang.Integer> MonitorIdKey

  The Amiga monitor id.

### ENCODING_ANIM_OP5

    public static final java.lang.String ENCODING_ANIM_OP5

  Anim Op5 .

  See Also:
    Constant Field Values

### ColorModeKey

    public static final FormatKey<org.monte.media.anim.AmigaVideoFormatKeys.ColorMode> ColorModeKey

Constructor Detail

### AmigaVideoFormatKeys

    public AmigaVideoFormatKeys()

Method Detail

### fromCAMG

    public static Format fromCAMG(int camg)

### toCAMG

    public static int toCAMG(Format fmt)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD